/*------------------------------------*\
    
    Posts CSS
 
    Posts.................Post content for loop on blog homepage, category, search page, archives, etc.
    Sidebar...............Sidebar elements.

\*------------------------------------*/

.blog-listing-container {
    padding: 45px 0;
}

.blog-listing-container .wysiwyg {
    padding: 0;
}

@media (min-width: 768px) {
    .blog-listing-container {
        padding: 60px 0;
    }
}

@media (min-width: 1025px) {
    .blog-listing-container {
        padding: 25px 0;
    }
}

.post-item {
    border-top: 1px solid #ddd;
    padding-top: 30px;
    margin-top: 30px;
}

.post-item:first-of-type {
    border-top: 0;
    padding-top: 0;
    margin-top: 0;
}

.post-item__heading a {
    text-decoration: none;
}

.post-item .btn,
.post-item .btn-primary {
    margin-top: 30px;
}

.post-item__meta {
    font-size: .8em;
}


@media (min-width: 1025px) {

    .post-item {
        padding-top: 50px;
        margin-top: 50px;
    }

}


/**
 * Sidebar
 */

/* Blog Sidebar */

.blog .page-sidebar .widget {
	margin-bottom: 50px;
}

.page-sidebar ul {
    margin: 20px 0 0;
}

.page-sidebar ul li:not(:last-child) {
    margin-bottom: 10px;
}

.wp-block-group__inner-container [class*="col-xxs-"] {
    padding: 0; 
}

.blog .wp-block-categories-list {
    padding-left: 0;
}

.blog .wp-block-categories-list li {
    padding-left: 30px;
    position: relative;
    list-style-type: none;
}

.blog .wp-block-categories-list li:before {
    content: "";
    display: block;
    position: absolute;
    top: 11px;
    left: 0px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: var(--color-primary);
}

.blog .wp-block-latest-posts__list li {
    border-bottom: 1px solid var(--color-border);
    margin-bottom: 0;
}

.blog .wp-block-latest-posts__list li:not(:last-child) {
    margin-bottom: 0;
}

.blog .wp-block-latest-posts__list li a {
    display: block;
    padding: 10px 0;
    transition: box-shadow 0.3s ease-in-out,
                padding 0.3s ease-in-out;
}

.blog .wp-block-latest-posts__list li a:hover {
    padding: 10px 20px;
    box-shadow: inset 0 -50px var(--color-border);
}

.blog .wp-block-search .wp-block-search__button.has-icon {
    margin: 0;
}

.blog .wp-block-search__button {
    width: auto;
    background-color: transparent;
    border: 0;
    font-size: 26px;
    padding: 0;
    position: relative;
    transform: scale(-1, 1);
    position: absolute;
    right: 10px;
    top: 12px;
}

.blog .wp-block-search.wp-block-search__button-inside .wp-block-search__inside-wrapper .wp-block-search__input {
    background-color: var(--color-input);
    padding: 15px 20px;
    border-radius: 6px;
    border: 1px solid var(--color-input);
    box-shadow: 0 3px 20px transparent;
    transition: box-shadow 0.3s ease-in-out,
                border 0.3s ease-in-out;
}

.blog .wp-block-search.wp-block-search__button-inside .wp-block-search__inside-wrapper .wp-block-search__input:focus {
    border: 1px solid var(--color-secondary);
    box-shadow: 0 3px 20px rgba(119, 200, 191, 0.2);
}

.blog .wp-block-search.wp-block-search__button-inside .wp-block-search__inside-wrapper {
    padding: 0;
    border: 0;
    background-color: var(--color-input);
    position: relative;
}

.blog-post__title {
    margin: 10px 0 20px;
}

.blog-listing .col-xxs-12 {
    padding: 30px 0;
    border-bottom: 1px solid var(--color-border);
}

.blog-listing .col-xxs-12:first-child {
    padding-top: 0;
}

.blog-post__item {
    display: flex;
    flex-wrap: wrap;
}

.blog-post__meta {
    flex: 1;
    padding: 20px 40px;
}

@media (max-width: 767px) {
    .blog-post__meta {
        padding: 0 30px;
        width: 100%;
        margin-top: 30px;
    }
}

.blog-post__img-container {
    position: relative;
    border-radius: 6px;
    overflow: hidden;
}

.blog-post__img-container {
    width: 300px;
}

@media (max-width: 767px) {
    .blog-post__img-container {
        padding: 0 30px;
        width: 100%;
    }
}

.blog-post__img-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 6px;
}

/**
* FX Load More
*/

/* Load More Progress Bar */
.load-more__progress {
    margin-top: 15px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    height: 10px;
    border: 0;
    border-radius: 0;
    min-width: 250px;
}
progress::-webkit-progress-bar,
progress::-webkit-progress-value,
progress::-moz-progress-bar {
    height: 10px;
    border: 0;
    border-radius: 0; 
}
progress::-webkit-progress-bar {
    background-color: #ddd;
}
progress::-webkit-progress-value {
    background-color: #4a4a4a;
}

/* Loading Indicator */
.is-loading:before  {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    display: block;
    width: 50px;
    height: 50px;
    border: 5px solid;
    border-color: #E3E3E3 #E3E3E3 transparent;
    border-radius: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -webkit-animation: simpleSpin 1.5s linear infinite;
    animation: simpleSpin 1.5s linear infinite;
}

/* Load More Button */
.load-more__btn {
    border: 0;
    display: block;
    margin-top: 20px;
    width: 280px;
}

.load-more__btn.is-loading {
    position: relative;
    opacity: 0.6;
    cursor: not-allowed;
}

.load-more__btn.is-loading:before {
    width: 20px;
    height: 20px;
}

/* Placeholder Space */
.placeholder-block {
    position: relative;
    display: flex;
}

.placeholder-block__inner {
    flex-grow: 1;
    background-color: #fafafa;
}

.placeholder-block.is-loading:before {
    width: 50px;
    height: 50px;
}

@-webkit-keyframes simpleSpin {
    0% {
        -webkit-transform: translate(-50%, -50%) rotateZ(0deg);
        transform: translate(-50%, -50%) rotateZ(0deg);
    }

    100% {
        -webkit-transform: translate(-50%, -50%) rotateZ(360deg);
        transform: translate(-50%, -50%) rotateZ(360deg);
    }
}

@keyframes simpleSpin {
    0% {
        -webkit-transform: translate(-50%, -50%) rotateZ(0deg);
        transform: translate(-50%, -50%) rotateZ(0deg);
    }

    100% {
        -webkit-transform: translate(-50%, -50%) rotateZ(360deg);
        transform: translate(-50%, -50%) rotateZ(360deg);
    }
}


/* Search Results */
.search-result {
    text-decoration: none;
    display: block;
    margin-bottom: 32px;
}

.search-result__title {
    margin-bottom: 16px;
}

.search-result__excerpt {
    margin-bottom: 20px;
}


/* Blog Posts */

.blog-listing__pagination {
    margin: 50px -15px 0;
}

@media (max-width: 767px) {
    .blog-listing__pagination {
        text-align: center;
        margin-bottom: 50px;
    }

    .load-more__btn {
        margin: 0 auto;
    }
}

@media( max-width : 1024px ) {
    .blog-listing__pagination {
        text-align: center;
        margin-bottom: 50px;
    }
}

.widget_block h2 {
    margin-top: 0;
    margin-bottom: 5px;
}

.blog-single__socials {
    padding: 50px 0;
    text-align: center;
    background-color: var(--color-tertiary);
}

.blog-single__socials h2 {
    margin: 0;
}

.blog-single__socials .social-share-row {
    margin-top: 20px;
}

.blog-post__tags a {
    display: inline-block;
    color: var(--color-primary);
    transition: box-shadow 0.3s ease-in-out,
                color 0.3s ease-in-out,
                padding 0.3s ease-in-out;
}

.blog-post__tags a:hover {
    box-shadow: inset 0 -6px var(--color-secondary);
}

.term_uncategorized {
    display: none !important;
}